Bug 446957 - [nv] Fonts are blurred and unreadable, "monochrome" setting
[nv] Fonts are blurred and unreadable, "monochrome" setting
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
: Triaged
: 447066 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 15:03 EDT by Mark Hiles
Modified: 2018-04-11 07:25 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-03 10:58:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of problem (35.71 KB, image/png)
2008-05-16 15:03 EDT, Mark Hiles
no flags Details
simple standalone test-case (5.89 KB, text/plain)
2008-06-03 08:37 EDT, Caolan McNamara
no flags Details
and a little pic of how that looks on a nv driver (2.03 KB, image/png)
2008-06-03 08:38 EDT, Caolan McNamara
no flags Details

  None (edit)
Description Mark Hiles 2008-05-16 15:03:50 EDT
Description of problem:
-----------------------
Fonts are blurred and unreadable when using specific applications. 

I first encountered the problem when attempting to use applications through
Crossover Office 6.2. I assumed it was due to new components in Fedora 9 and was
going to wait until the next release of Crossover.

But after trying different font settings, I also found the problem in other
applications.


Steps to Reproduce:
-------------------
1. Use 'Appearance Preferences' in Gnome and select the 'Fonts' tab.
2. Select 'Monochrome'.
3. Open OpenOffice.org Writer.

I've attached an image to this report.
Comment 1 Mark Hiles 2008-05-16 15:03:50 EDT
Created attachment 305725 [details]
Screenshot of problem
Comment 2 Matěj Cepl 2008-05-16 17:07:24 EDT
To take some more ordinary application (OOo does some thing their own way) --
does it happen with gedit as well?
Comment 3 Mark Hiles 2008-05-17 02:45:41 EDT
The problem only appears to affect OpenOffice.org and applications running
through my installation of Crossover Office. 

Incidentally, the problem does not seem to occur in the version of wine in the
Fedora 9 repositories. 

Perhaps this is a bug that only now affects OpenOffice.org and has been solved
in recent versions of wine?
Comment 4 Caolan McNamara 2008-05-17 06:00:30 EDT
And what version of OOo is that exactly, rpm -q openoffice.org-core
sounds a bit like bug 443735

Please give the output of "locale", the font listed as "Application Font" under
gnome preferences and the output of "fc-match thatfont", e.g. "fc-match Sans",
and your video driver e.g. grep "drivers" /var/log/Xorg.0.log
Comment 5 Mark Hiles 2008-05-17 12:25:26 EDT
I had a look at bug 443735. That bug seems to refer to specific fonts and how
they are displayed in the font selector. It occurs when font smoothing/hinting
is turned on. My bug affects all fonts in the application when font
smoothing/hinting is turned off. It also says that the bug was corrected when
they installed a newer version of OOo. But the version that I'm running is even
newer!

My application font is Sans. Here is the output of the various commands you
asked for:

[mark@localhost ~]$ rpm -q openoffice.org-core
openoffice.org-core-2.4.0-12.8.fc9.i386

[mark@localhost ~]$ locale
LANG=en_GB.utf8
LC_CTYPE="en_GB.utf8"
LC_NUMERIC="en_GB.utf8"
LC_TIME="en_GB.utf8"
LC_COLLATE="en_GB.utf8"
LC_MONETARY="en_GB.utf8"
LC_MESSAGES="en_GB.utf8"
LC_PAPER="en_GB.utf8"
LC_NAME="en_GB.utf8"
LC_ADDRESS="en_GB.utf8"
LC_TELEPHONE="en_GB.utf8"
LC_MEASUREMENT="en_GB.utf8"
LC_IDENTIFICATION="en_GB.utf8"
LC_ALL=

[mark@localhost ~]$ fc-match Sans
DejaVuSans.ttf: "DejaVu Sans" "Book"

[mark@localhost ~]$ grep "drivers" /var/log/Xorg.0.log
(II) Loading /usr/lib/xorg/modules/drivers//nv_drv.so
Comment 6 Caolan McNamara 2008-05-18 15:12:34 EDT
*** Bug 447066 has been marked as a duplicate of this bug. ***
Comment 7 Caolan McNamara 2008-05-18 15:22:27 EDT
I see this weird-ass thing with the "monochrome" setting for fonts on a F-9 box
with a nvidia and the "nv" driver at least. It goes away if I change the driver
to "vesa" fwiw
Comment 8 Sudheer Satyanarayana 2008-05-19 01:43:29 EDT
Thinking this problem was specific to OpenOffice.Org I filed this bug report
https://bugzilla.redhat.com/show_bug.cgi?id=447066
Comment 9 Caolan McNamara 2008-05-21 08:14:59 EDT
And it also goes away if Option "NoAccel" is used in /etc/X11/xorg.conf with nv,
and I *dont* see this problem on the laptop with a i915 driver
Comment 10 Matěj Cepl 2008-05-21 09:40:26 EDT
(In reply to comment #9)
> And it also goes away if Option "NoAccel" is used in /etc/X11/xorg.conf with nv,
> and I *dont* see this problem on the laptop with a i915 driver

Do you mean that component xorg-x11-drv-nv is more appropriate for this bug?
Comment 11 Caolan McNamara 2008-05-21 09:53:31 EDT
Well, its the only driver where I can reproduce it. Definitely not xorg-fonts
anyway.
Comment 12 Matěj Cepl 2008-05-29 09:43:36 EDT
OK, let's make ajax happy.
Comment 13 Caolan McNamara 2008-06-03 08:37:35 EDT
Created attachment 308222 [details]
simple standalone test-case

Attached is a simple cairo test-case that reproduces it for me
Comment 14 Caolan McNamara 2008-06-03 08:38:12 EDT
Created attachment 308223 [details]
and a little pic of how that looks on a nv driver
Comment 15 Caolan McNamara 2008-06-03 08:40:22 EDT
add behdad just in case the cairo guys are interested
Comment 16 Behdad Esfahbod 2008-06-03 11:58:21 EDT
Kind of a known driver bug IIRC.  mclasen should know better.
Comment 17 Matěj Cepl 2008-06-04 09:00:18 EDT
Looks like it may be reproducable nvidia driver as well -- bug 449867 looks similar.
Comment 18 Bug Zapper 2009-06-09 20:54:25 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Adam Jackson 2009-07-09 11:01:21 EDT
Moving to rawhide to hide from the autocloser.
Comment 20 Adam Jackson 2009-07-14 17:56:28 EDT
Ben, give the testcase in comment #14 a shot when you get a chance.  ISTR fixing something similar in XAA back in the day, would be nice to know if it's gone for good now.
Comment 21 Matěj Cepl 2009-11-05 12:11:51 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 22 Bug Zapper 2009-11-16 03:06:10 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Matěj Cepl 2010-02-26 07:23:11 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 24 Matěj Cepl 2010-05-03 10:58:59 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.